import { ModuleWithProviders } from '@angular/core';
import { AuthenticationServiceConfig } from './model/authentication.service.config';
export * from './model/authentication.service.config';
export * from './model/authentication-token';
export * from './services/authentication.service';
export * from './components/login/login.component';
export * from './components/login-form/login-form.component';
export declare class AuthenticationModule {
    static forRoot(authenticationConfig: AuthenticationServiceConfig): ModuleWithProviders;
    constructor(parentModule: AuthenticationModule);
}
